ConfigurationRegistry (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.config
Class ConfigurationRegistry

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<Class<?>,Object>
              org.maltparser.core.config.ConfigurationRegistry

All Implemented Interfaces:
  Serializable, Cloneable, Map<Class<?>,Object>

    public class ConfigurationRegistry

extends HashMap<Class<?>,Object>

Author:
  Johan Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`ConfigurationRegistry()`

Method Summary
`Object` | `get(Object key)`
`Object` | `put(Class<?> key, Object value)`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### ConfigurationRegistry

    public ConfigurationRegistry()

Method Detail

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map<Class<?>,Object>`
  Overrides:
    `get` in class `HashMap<Class<?>,Object>`

### put

    public Object put(Class<?> key,
                      Object value)

  Specified by:
    `put` in interface `Map<Class<?>,Object>`
  Overrides:
    `put` in class `HashMap<Class<?>,Object>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.